/*
 * Class POSTCONDITION_VIOLATION
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_524 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_524 [] = {0xFF01,1551,523,0xFFFF};
static const EIF_TYPE_INDEX egt_2_524 [] = {0xFF01,523,0xFFFF};
static const EIF_TYPE_INDEX egt_3_524 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_524 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_524 [] = {0xFF01,523,0xFFFF};
static const EIF_TYPE_INDEX egt_6_524 [] = {0xFF01,523,0xFFFF};
static const EIF_TYPE_INDEX egt_7_524 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_524 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_524 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_524 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_524 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_524 [] = {0xFF01,523,0xFFFF};
static const EIF_TYPE_INDEX egt_13_524 [] = {0xFF01,345,0xFFFF};
static const EIF_TYPE_INDEX egt_14_524 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_15_524 [] = {0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_16_524 [] = {0xFF01,489,0xFFFF};
static const EIF_TYPE_INDEX egt_17_524 [] = {0xFF01,489,0xFFFF};


static const struct desc_info desc_524[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_524), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_524), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_524), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_524), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_524), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_524), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_524), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_524), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_524), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_524), 8247, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_524), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_524), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0417 /*523*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_524), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_524), 8191, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8226, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8227, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_524), 8228, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_524), 8336, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8230, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x071F /*911*/), 8231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0739 /*924*/), 8233, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8335, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_524), 8235, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_524), 8236, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8237, 0},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8238, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8239, 24},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8240, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8241, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8242, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8243, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8244, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8245, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x03D3 /*489*/), 8248, 8},
	{EIF_GENERIC(NULL), 8249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8250, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8251, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8252, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x049F /*591*/), 8253, 12},
	{EIF_GENERIC(NULL), 8254, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8255, 20},
	{EIF_GENERIC(NULL), 8256, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8257, 16},
};
void Init524(void)
{
	IDSC(desc_524, 0, 523);
	IDSC(desc_524 + 1, 1, 523);
	IDSC(desc_524 + 32, 712, 523);
	IDSC(desc_524 + 33, 29, 523);
}


#ifdef __cplusplus
}
#endif
